
body {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 800px;
    margin: 50px;
    background-color: cadetblue;
}

h1 {
    font-size: 24px;
    color: white;
    margin-bottom: 20px;
}

.lien{
    color: white;
    text-decoration: none;
    font-size: 18px;
    background-color: #223047;
    padding: 10px 20px;
    border-radius: 5px;
    border: 3px solid #283F5D;
    margin: 10px;
}

/* https://cssgridgenerator.io/ pour générer le grid */
.parent {
    display: grid;
    grid-template-columns: repeat(4, 100px);
    grid-template-rows: minmax(120px, auto);
    grid-auto-rows: 100px;
    gap: 8px;
    text-align: center;
    padding: 20px;
    width: 35%;
    /* https://cssgradient.io/ pour le gradient */
    background-color: rgba(30, 51, 74, 1);    
    justify-content: center;
    border-radius: 5px;
    border: 5px solid #223047;
}



.div1, .btn2, .btn3, .btn4, .btn5, .btn6, .btn7, .btn8, .btn9, .btn10, .btn11, .btn12, .btn13, .btn14, .btn15, .btn16, .btn17, .btn18, .btn19 {
    background-color: #283F5D;
    padding: 20px;
    font-size: 28px;
    border-radius: 5px;
    color: white;
    border: 5px solid #223047;
}
.btn2:hover, .btn3:hover, .btn4:hover, .btn5:hover, .btn6:hover, .btn7:hover, .btn8:hover, .btn9:hover, .btn10:hover, .btn11:hover, .btn12:hover, .btn13:hover, .btn14:hover, .btn15:hover, .btn16:hover, .btn17:hover, .btn18:hover, .btn19:hover {
    background-color: #365781;
    border: 5px solid #283F5D;
}


.div1 {
    grid-column: span 4 / span 4;
    border-radius: 5px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    font-size: 50px;
}

.btn2 {
    grid-column: span 2 / span 2;
    grid-row-start: 2;
    
}

.btn3 {
    grid-column-start: 3;
    grid-row-start: 2;
}

.btn4 {
    grid-column-start: 4;
    grid-row-start: 2;
}

.btn5 {
    grid-row-start: 3;
}

.btn6 {
    grid-row-start: 3;
}

.btn7 {
    grid-row-start: 3;
}

.btn8 {
    grid-row-start: 3;
}


.btn9 {
    grid-row-start: 4;
}

.btn10 {
    grid-row-start: 4;
}

.btn11 {
    grid-row-start: 4;
}

.btn12 {
    grid-row-start: 4;
}


.btn13 {
    grid-row-start: 5;
}

.btn14 {
    grid-row-start: 5;
}

.btn15 {
    grid-row-start: 5;
}

.btn16 {
    grid-row-start: 5;
}

.btn17 {
    grid-row-start: 6;
}

.btn18 {
    grid-row-start: 6;
}

.btn19 {
    grid-column: span 2 / span 2;
    grid-row-start: 6;
}
        